Loading...
Searching...
No Matches
Dune::LocalGeometryTypeIndex Class Reference

Compute per-dimension indices for geometry types. More...

`#include <dune/geometry/typeindex.hh>`

## Static Public Member Functions

static constexpr std::size_t | size (std::size_t dim)
| Compute total number of geometry types for the given dimension.
static constexpr std::size_t | index (const GeometryType &gt)
| Compute the index for the given geometry type within its dimension.
static constexpr GeometryType | type (std::size_t dim, std::size_t index)
| compute the geometry type for the given local index and dimension

## Detailed Description

Compute per-dimension indices for geometry types.

## Member Function Documentation

## index()

constexpr std::size_t Dune::LocalGeometryTypeIndex::index | ( | const GeometryType & | gt | ) |

inline static constexpr

Compute the index for the given geometry type within its dimension.

Geometry types from different dimensions my get the same index. If that is not what you want, maybe you should look at GlobalGeometryTypeIndex.

## size()

constexpr std::size_t Dune::LocalGeometryTypeIndex::size | ( | std::size_t | dim | ) |

inline static constexpr

Compute total number of geometry types for the given dimension.

This includes irregular geometry types such as "None".

## type()

constexpr GeometryType Dune::LocalGeometryTypeIndex::type | ( | std::size_t | dim,
|  | std::size_t | index )

inline static constexpr

compute the geometry type for the given local index and dimension

The documentation for this class was generated from the following file:

- typeindex.hh